<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_obj.html">TrackObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_track_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_obj_8h_source.html">TrackObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_obj__inherit__graph.png" border="0" usemap="#eic_1_1_track_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_track_obj_inherit__map" id="eic_1_1_track_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_obj__coll__graph.png" border="0" usemap="#eic_1_1_track_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_track_obj_coll__map" id="eic_1_1_track_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_track_data.html" title="eic::TrackData" alt="" coords="102,5,210,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6c390185324a71ee2e654b8e867007e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#a6c390185324a71ee2e654b8e867007e1">TrackObj</a> ()</td></tr>
<tr class="memdesc:a6c390185324a71ee2e654b8e867007e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a6c390185324a71ee2e654b8e867007e1">More...</a><br /></td></tr>
<tr class="separator:a6c390185324a71ee2e654b8e867007e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db805794c35b5c77c6b55f1bd1c36ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#a5db805794c35b5c77c6b55f1bd1c36ea">TrackObj</a> (const <a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> &amp;)</td></tr>
<tr class="memdesc:a5db805794c35b5c77c6b55f1bd1c36ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a5db805794c35b5c77c6b55f1bd1c36ea">More...</a><br /></td></tr>
<tr class="separator:a5db805794c35b5c77c6b55f1bd1c36ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a418b851ad14d5c80e6a30334ea694d9d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#a418b851ad14d5c80e6a30334ea694d9d">TrackObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_track_data.html">TrackData</a> <a class="el" href="classeic_1_1_track_obj.html#a034dbf9ae321568010eb2f8d3295ba99">data</a>)</td></tr>
<tr class="separator:a418b851ad14d5c80e6a30334ea694d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad02c8a16e02e8f4001b770d32c30ee11"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#ad02c8a16e02e8f4001b770d32c30ee11">~TrackObj</a> ()</td></tr>
<tr class="separator:ad02c8a16e02e8f4001b770d32c30ee11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a034dbf9ae321568010eb2f8d3295ba99"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_data.html">TrackData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#a034dbf9ae321568010eb2f8d3295ba99">data</a></td></tr>
<tr class="separator:a034dbf9ae321568010eb2f8d3295ba99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ca74d198c5c8ba7ece44bb6ff16fe3"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#aa9ca74d198c5c8ba7ece44bb6ff16fe3">m_tracks</a></td></tr>
<tr class="separator:aa9ca74d198c5c8ba7ece44bb6ff16fe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2771b08bbf07903daec4c708cda399e4"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#a2771b08bbf07903daec4c708cda399e4">m_hits</a></td></tr>
<tr class="separator:a2771b08bbf07903daec4c708cda399e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dea512859b1520885e37ce3c2bb25f4"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html#a2dea512859b1520885e37ce3c2bb25f4">m_trackStates</a></td></tr>
<tr class="separator:a2dea512859b1520885e37ce3c2bb25f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_track_obj_8h_source.html#l00022">22</a> of file <a class="el" href="_track_obj_8h_source.html">TrackObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6c390185324a71ee2e654b8e867007e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c390185324a71ee2e654b8e867007e1">&#9670;&nbsp;</a></span>TrackObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackObj::TrackObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_track_obj_8cc_source.html#l00007">7</a> of file <a class="el" href="_track_obj_8cc_source.html">TrackObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">data</a>, <a class="el" href="_track_obj_8h_source.html#l00036">m_hits</a>, <a class="el" href="_track_obj_8h_source.html#l00035">m_tracks</a>, and <a class="el" href="_track_obj_8h_source.html#l00037">m_trackStates</a>.</p>

</div>
</div>
<a id="a5db805794c35b5c77c6b55f1bd1c36ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5db805794c35b5c77c6b55f1bd1c36ea">&#9670;&nbsp;</a></span>TrackObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackObj::TrackObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_obj.html">TrackObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_track_obj_8cc_source.html#l00019">19</a> of file <a class="el" href="_track_obj_8cc_source.html">TrackObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">data</a>, <a class="el" href="_track_obj_8h_source.html#l00036">m_hits</a>, <a class="el" href="_track_obj_8h_source.html#l00035">m_tracks</a>, and <a class="el" href="_track_obj_8h_source.html#l00037">m_trackStates</a>.</p>

</div>
</div>
<a id="a418b851ad14d5c80e6a30334ea694d9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a418b851ad14d5c80e6a30334ea694d9d">&#9670;&nbsp;</a></span>TrackObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackObj::TrackObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_track_data.html">TrackData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_track_data.html">TrackData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_track_obj_8cc_source.html#l00015">15</a> of file <a class="el" href="_track_obj_8cc_source.html">TrackObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00034">data</a>.</p>

</div>
</div>
<a id="ad02c8a16e02e8f4001b770d32c30ee11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad02c8a16e02e8f4001b770d32c30ee11">&#9670;&nbsp;</a></span>~TrackObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackObj::~TrackObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_obj_8cc_source.html#l00028">28</a> of file <a class="el" href="_track_obj_8cc_source.html">TrackObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00036">m_hits</a>, <a class="el" href="_track_obj_8h_source.html#l00035">m_tracks</a>, and <a class="el" href="_track_obj_8h_source.html#l00037">m_trackStates</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a034dbf9ae321568010eb2f8d3295ba99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a034dbf9ae321568010eb2f8d3295ba99">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_data.html">TrackData</a> eic::TrackObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_obj_8h_source.html#l00034">34</a> of file <a class="el" href="_track_obj_8h_source.html">TrackObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00102">eic::Track::addhits()</a>, <a class="el" href="_track_8cc_source.html#l00066">eic::Track::addtracks()</a>, <a class="el" href="_track_8cc_source.html#l00138">eic::Track::addtrackStates()</a>, <a class="el" href="_track_const_8cc_source.html#l00050">eic::ConstTrack::chi2()</a>, <a class="el" href="_track_8cc_source.html#l00052">eic::Track::chi2()</a>, <a class="el" href="_track_const_8cc_source.html#l00020">eic::ConstTrack::ConstTrack()</a>, <a class="el" href="_track_const_8cc_source.html#l00052">eic::ConstTrack::dEdx()</a>, <a class="el" href="_track_8cc_source.html#l00054">eic::Track::dEdx()</a>, <a class="el" href="_track_const_8cc_source.html#l00053">eic::ConstTrack::dEdxError()</a>, <a class="el" href="_track_8cc_source.html#l00055">eic::Track::dEdxError()</a>, <a class="el" href="_track_const_8cc_source.html#l00106">eic::ConstTrack::hits()</a>, <a class="el" href="_track_8cc_source.html#l00123">eic::Track::hits()</a>, <a class="el" href="_track_const_8cc_source.html#l00090">eic::ConstTrack::hits_begin()</a>, <a class="el" href="_track_8cc_source.html#l00107">eic::Track::hits_begin()</a>, <a class="el" href="_track_const_8cc_source.html#l00096">eic::ConstTrack::hits_end()</a>, <a class="el" href="_track_8cc_source.html#l00113">eic::Track::hits_end()</a>, <a class="el" href="_track_const_8cc_source.html#l00102">eic::ConstTrack::hits_size()</a>, <a class="el" href="_track_8cc_source.html#l00119">eic::Track::hits_size()</a>, <a class="el" href="_track_const_8cc_source.html#l00051">eic::ConstTrack::ndf()</a>, <a class="el" href="_track_8cc_source.html#l00053">eic::Track::ndf()</a>, <a class="el" href="_track_const_8cc_source.html#l00054">eic::ConstTrack::radiusOfInnermostHit()</a>, <a class="el" href="_track_8cc_source.html#l00056">eic::Track::radiusOfInnermostHit()</a>, <a class="el" href="_track_8cc_source.html#l00020">eic::Track::Track()</a>, <a class="el" href="_track_obj_8cc_source.html#l00007">TrackObj()</a>, <a class="el" href="_track_const_8cc_source.html#l00074">eic::ConstTrack::tracks()</a>, <a class="el" href="_track_8cc_source.html#l00087">eic::Track::tracks()</a>, <a class="el" href="_track_const_8cc_source.html#l00058">eic::ConstTrack::tracks_begin()</a>, <a class="el" href="_track_8cc_source.html#l00071">eic::Track::tracks_begin()</a>, <a class="el" href="_track_const_8cc_source.html#l00064">eic::ConstTrack::tracks_end()</a>, <a class="el" href="_track_8cc_source.html#l00077">eic::Track::tracks_end()</a>, <a class="el" href="_track_const_8cc_source.html#l00070">eic::ConstTrack::tracks_size()</a>, <a class="el" href="_track_8cc_source.html#l00083">eic::Track::tracks_size()</a>, <a class="el" href="_track_const_8cc_source.html#l00138">eic::ConstTrack::trackStates()</a>, <a class="el" href="_track_8cc_source.html#l00159">eic::Track::trackStates()</a>, <a class="el" href="_track_const_8cc_source.html#l00122">eic::ConstTrack::trackStates_begin()</a>, <a class="el" href="_track_8cc_source.html#l00143">eic::Track::trackStates_begin()</a>, <a class="el" href="_track_const_8cc_source.html#l00128">eic::ConstTrack::trackStates_end()</a>, <a class="el" href="_track_8cc_source.html#l00149">eic::Track::trackStates_end()</a>, <a class="el" href="_track_const_8cc_source.html#l00134">eic::ConstTrack::trackStates_size()</a>, and <a class="el" href="_track_8cc_source.html#l00155">eic::Track::trackStates_size()</a>.</p>

</div>
</div>
<a id="a2771b08bbf07903daec4c708cda399e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2771b08bbf07903daec4c708cda399e4">&#9670;&nbsp;</a></span>m_hits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a>&gt;* eic::TrackObj::m_hits</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_obj_8h_source.html#l00036">36</a> of file <a class="el" href="_track_obj_8h_source.html">TrackObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00102">eic::Track::addhits()</a>, <a class="el" href="_track_const_8cc_source.html#l00106">eic::ConstTrack::hits()</a>, <a class="el" href="_track_8cc_source.html#l00123">eic::Track::hits()</a>, <a class="el" href="_track_const_8cc_source.html#l00090">eic::ConstTrack::hits_begin()</a>, <a class="el" href="_track_8cc_source.html#l00107">eic::Track::hits_begin()</a>, <a class="el" href="_track_const_8cc_source.html#l00096">eic::ConstTrack::hits_end()</a>, <a class="el" href="_track_8cc_source.html#l00113">eic::Track::hits_end()</a>, <a class="el" href="_track_obj_8cc_source.html#l00007">TrackObj()</a>, and <a class="el" href="_track_obj_8cc_source.html#l00028">~TrackObj()</a>.</p>

</div>
</div>
<a id="aa9ca74d198c5c8ba7ece44bb6ff16fe3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9ca74d198c5c8ba7ece44bb6ff16fe3">&#9670;&nbsp;</a></span>m_tracks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>&gt;* eic::TrackObj::m_tracks</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_obj_8h_source.html#l00035">35</a> of file <a class="el" href="_track_obj_8h_source.html">TrackObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00066">eic::Track::addtracks()</a>, <a class="el" href="_track_collection_8cc_source.html#l00152">eic::TrackCollection::prepareAfterRead()</a>, <a class="el" href="_track_obj_8cc_source.html#l00007">TrackObj()</a>, <a class="el" href="_track_const_8cc_source.html#l00074">eic::ConstTrack::tracks()</a>, <a class="el" href="_track_8cc_source.html#l00087">eic::Track::tracks()</a>, <a class="el" href="_track_const_8cc_source.html#l00058">eic::ConstTrack::tracks_begin()</a>, <a class="el" href="_track_8cc_source.html#l00071">eic::Track::tracks_begin()</a>, <a class="el" href="_track_const_8cc_source.html#l00064">eic::ConstTrack::tracks_end()</a>, <a class="el" href="_track_8cc_source.html#l00077">eic::Track::tracks_end()</a>, and <a class="el" href="_track_obj_8cc_source.html#l00028">~TrackObj()</a>.</p>

</div>
</div>
<a id="a2dea512859b1520885e37ce3c2bb25f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dea512859b1520885e37ce3c2bb25f4">&#9670;&nbsp;</a></span>m_trackStates</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a>&gt;* eic::TrackObj::m_trackStates</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_obj_8h_source.html#l00037">37</a> of file <a class="el" href="_track_obj_8h_source.html">TrackObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_8cc_source.html#l00138">eic::Track::addtrackStates()</a>, <a class="el" href="_track_obj_8cc_source.html#l00007">TrackObj()</a>, <a class="el" href="_track_const_8cc_source.html#l00138">eic::ConstTrack::trackStates()</a>, <a class="el" href="_track_8cc_source.html#l00159">eic::Track::trackStates()</a>, <a class="el" href="_track_const_8cc_source.html#l00122">eic::ConstTrack::trackStates_begin()</a>, <a class="el" href="_track_8cc_source.html#l00143">eic::Track::trackStates_begin()</a>, <a class="el" href="_track_const_8cc_source.html#l00128">eic::ConstTrack::trackStates_end()</a>, <a class="el" href="_track_8cc_source.html#l00149">eic::Track::trackStates_end()</a>, and <a class="el" href="_track_obj_8cc_source.html#l00028">~TrackObj()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_obj_8h_source.html">TrackObj.h</a></li>
<li>src/<a class="el" href="_track_obj_8cc_source.html">TrackObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
